/* カスタムプロパティ
============================================================= */

:root {
  /* プリセットのエイリアス */

  --theme-gothic: var(--wp--preset--font-family--noto-sans-jp);
  --theme-mincho: var(--wp--preset--font-family--noto-serif-jp);

  /* Layer */
  --z-index-container: 0;
  --z-index-header: 110;
  --z-index-g-nav: 120;
  --z-index-hamburger: 130;
  --z-index-overlay: 200;
  --z-index-spmenu: 300;
  --z-index-fixed-nav: 500;

  /* Width */
  --width-xxl: 1400px;
  --width-xl: 1200px;
  --width-lg: 992px;
  --width-md: 782px;
  --width-sm: 480px;
  /* WordPress(Gutenberg)に合わせて変更 768=>782 576=>480 */
  /* --width-sm: 576px;
  --width-md: 768px; */
}

/* Note
=============================================================

# ブレイクポイント一覧
xxl: 1400px
xl: 1200px
lg: 992px
md: 782px
sm: 480px

@media only screen and (max-width: 1400px) {
}
@media only screen and (max-width: 1200px) {
}
@media only screen and (max-width: 992px) {
}
@media only screen and (max-width: 782px) {
}
@media only screen and (max-width: 480px) {
}

# プリセット
theme.json
var(--wp--preset--color--theme-main);
var(--wp--preset--color--theme-sub-1);
var(--wp--preset--color--theme-accent);
var(--wp--preset--color--theme-base);
var(--wp--preset--color--theme-font);
var(--wp--preset--color--theme-border);

lib/fonts.php
var(--wp--preset--font-family--noto-sans-jp);
var(--wp--preset--font-family--noto-serif-jp);
var(--wp--preset--font-family--open-sans);
var(--wp--preset--font-family--zen-maru-gothic); */

/* 初期化
============================================================= */

html {
  scroll-behavior: smooth;
}

a {
  color: inherit;

  &:hover {
    opacity: 0.8;
  }
}

address {
  font-style: normal;
}

img {
  image-rendering: auto;
  image-rendering: -webkit-optimize-contrast;
}

/* Chromeで画像がぼやけるのを防ぐ */
/* stylelint-disable-next-line selector-type-no-unknown */
/* _:lang(x)::-internal-media-controls-overlay-cast-button,
img {
  image-rendering: -webkit-optimize-contrast;
} */

hr {
  width: 100%;
  height: 0;
  margin: 20px 0;
  border: none;
  border-top: 2px solid var(--wp--preset--color--theme-border);
}

/* input */

input[type="text"],
input[type="email"],
input[type="url"],
input[type="password"],
input[type="search"],
input[type="number"],
input[type="tel"],
input[type="range"],
input[type="date"],
input[type="month"],
input[type="week"],
input[type="time"],
input[type="datetime"],
input[type="datetime-local"],
input[type="color"],
textarea,
select {
  max-width: 100%;
  padding: 0.5em;
  margin-top: 10px;
  line-height: 1.2em;
  appearance: auto;
  background-color: #fff;
  border: 1px solid #ccc;
  border-radius: 3px;
  outline: none;
}

input[type="text"]:focus,
input[type="email"]:focus,
input[type="url"]:focus,
input[type="password"]:focus,
input[type="search"]:focus,
input[type="number"]:focus,
input[type="tel"]:focus,
input[type="range"]:focus,
input[type="date"]:focus,
input[type="month"]:focus,
input[type="week"]:focus,
input[type="time"]:focus,
input[type="datetime"]:focus,
input[type="datetime-local"]:focus,
input[type="color"]:focus,
select:focus,
textarea:focus {
  outline: 2px solid var(--wp--preset--color--theme-sub-2);
}

input[type="checkbox"] {
  accent-color: var(--wp--preset--color--theme-sub-2);
}

/* Fonts
============================================================= */

body {
  /* 明朝 */
  font-family: "Noto Serif JP", "游明朝", YuMincho, "Hiragino Mincho ProN",
    "Hiragino Mincho Pro", "MS PMincho", serif;

  /* ゴシック */
  /* font-family: "Noto Sans JP", "Helvetica Neue", arial,
    "Hiragino Kaku Gothic ProN", "Hiragino Sans", meiryo, sans-serif; */
  font-weight: 400;
  color: var(--wp--preset--color--theme-font);
}

/* Wrapper
============================================================= */

.container {
  position: relative;
  z-index: var(--z-index-container);
  width: 100%;
  margin: 0;
  overflow-x: hidden;
  /* background-color: var(--wp--preset--color--theme-base); */
  background: #633d0e;
}

.bg-gradient {
  position: absolute;
  top: 0;
  left: 50%;
  z-index: -1;
  width: 100%;
  max-width: var(--width-xl);
  height: 100%;
  background-color: #633d0e;
  background-image: linear-gradient(
    90deg,
    rgb(99 61 14 / 100%) 0%,
    rgb(178 134 49 / 100%) 50%,
    rgb(99 61 14 / 100%) 100%
  );
  translate: -50% 0;
}

/* Main
============================================================= */

.main {
  width: 100%;
}
/* Header 'header, h'
============================================================= */

.header {
  position: relative;
  width: 100%;
  background-color: #fff;
  border-bottom: 2px solid var(--wp--preset--color--theme-sub-2);
}

.header__top {
  display: flex;
  width: 100%;
  max-width: var(--width-lg);
  padding: 10px 0;
  margin: 0 auto;
}

@media only screen and (max-width: 992px) {
  .header__top {
    padding: 10px 20px;
  }
}

@media only screen and (max-width: 782px) {
  .header__top {
    flex-direction: column;
    gap: 20px;
    align-items: center;
    padding: 20px 10px;
  }
}

.h-logo {
  display: inline-block;
  max-width: 200px;

  & img {
    display: block;
    width: 100%;
    height: auto;
  }
}

.wp-custom-header {
  width: 100%;
  max-width: var(--width-lg);
  margin: auto;

  & img {
    display: block;
    width: 100%;
    height: auto;
  }
}

.h-grid {
  display: grid;
  grid-template-rows: auto;
  grid-template-columns: repeat(2, 1fr);
  grid-gap: 10px 30px;
  width: 460px;
  margin-left: auto;

  & a {
    display: inline-block;
  }

  & img {
    display: block;
    width: 100%;
    height: auto;
  }
}

.h-grid__item1 {
  grid-area: 1 / 1 / 2 / 2;

  & .tel {
    margin-top: 4%; /* 位置調整 */
  }
}

.h-grid__item2 {
  grid-area: 1 / 2 / 2 / 3;
}

.h-grid__item3 {
  grid-area: 2 / 1 / 3 / 3;

  & .mob {
    display: none;
  }
}

@media only screen and (max-width: 782px) {
  .h-grid {
    grid-template-columns: 1fr;
    grid-gap: 10px;
    width: 100%;
    max-width: 240px;
    margin: 0;
  }

  .h-grid__item1 {
    grid-area: 1 / 1 / 2 / 2;

    & .tel {
      margin-top: 0;
    }
  }

  .h-grid__item2 {
    grid-area: 2 / 1 / 3 / 2;
  }

  .h-grid__item3 {
    grid-area: 3 / 1 / 4 / 2;

    & .pc {
      display: none;
    }

    & .mob {
      display: block;
    }
  }
}

/* グローバルナビ
============================================================= */
.g-nav {
  overflow: visible;
  font-family: var(--theme-gothic);
  font-size: 14px;
  font-weight: 400;
  font-feature-settings: "palt"; /* プロポーショナルメトリクス */
  line-height: 1em;
  background-color: var(--wp--preset--color--theme-main);
}

.g-nav__ul {
  display: flex;
  width: 100%;
  max-width: var(--width-lg);
  padding: 0;
  margin: 0 auto;
  color: #fff;
  list-style: none;
  background-image: url("../images/nav-pattern.png");
  background-repeat: no-repeat;
  background-position: center bottom -110px; /* 柄合わせ */
  background-size: cover;
  border-right: 1px solid #bdad89;

  & > .menu-item {
    position: relative;
    flex: 1;
    text-align: center;
    background-color: var(--color-main);
    border-left: 1px solid #bdad89;
  }

  & > .menu-item > a {
    display:flex;
    align-items: center;
    justify-content: center;
    height:3em;
    padding: .5em;
    color: inherit;
    text-decoration: none;
    white-space: nowrap;

    &:hover {
      color: #00a800;
    }
  }
}

@media only screen and (max-width: 782px) {
  .g-nav {
    display: none;
  }
}

/* モバイル固定メニュー
============================================================= */
.fixed-nav {
  position: fixed;
  bottom: 0;
  left: 0;
  z-index: var(--z-index-fixed-nav);
  display: none;
  width: 100%;
  font-family: var(--theme-gothic);
  color: #666;
  background-color: rgb(255 255 255 / 80%);
  border-top: 1px solid #bdad89;
  -webkit-tap-highlight-color: transparent;
}

.fixed-nav.active {
  background-color: rgb(0 0 0 / 80%);

  .fixed-hamburger {
    background-color: #fff;
  }
}

.fixed-nav__ul {
  display: flex;
  list-style: none;

  & li {
    width: 100%;
  }

  /* stylelint-disable-next-line no-descending-specificity */
  & a {
    display: flex;
    flex-direction: column;
    gap: 5px 0;
    align-items: center;
    justify-content: center;
    width: 100%;
    padding: 10px 0 5px;
    text-decoration: none;

    & i {
      font-size: 20px;
    }

    & small {
      font-size: 10px;
      font-weight: 500;
    }
  }
}

@media only screen and (max-width: 782px) {
  .fixed-nav {
    display: block;
  }
}

/* モバイルメニュー
============================================================= */
.m-nav {
  position: fixed;
  top: 0;
  left: -320px;
  z-index: var(--z-index-spmenu);
  width: 320px;
  height: 100%;
  padding-top: 60px;
  overflow: hidden auto;
  font-family: var(--theme-gothic);
  font-size: 18px;
  font-weight: 500;
  color: var(--wp--preset--color--theme-main);
  background-color: #fff;
  border-right: 1px solid #bdad89;
  transition: 0.5s;
  -webkit-tap-highlight-color: transparent;
}

.m-nav__ul {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  margin: 0;
  list-style: none;
  cursor: pointer;
  border-top: 1px solid #bdad89;

  & li {
    width: 100%;
    border-bottom: 1px solid #bdad89;
  }

  /* stylelint-disable-next-line no-descending-specificity */
  & a {
    position: relative;
    display: block;
    padding: 0.75em 2em;
    color: inherit;
    text-decoration: none;
  }
}

@media only screen and (max-width: 782px) {
  .m-nav {
    &.active {
      left: 0;
    }
  }
}

@keyframes fade-nav {
  from {
    opacity: 0;
  }

  to {
    opacity: 1;
  }
}

/* ハンバーガーメニューのボタン */
.hamburger {
  position: fixed;
  top: 0;
  left: 0;
  z-index: var(--z-index-hamburger);
  box-sizing: border-box;
  display: none;
  width: 48px;
  height: 48px;
  text-align: center;
  cursor: pointer;
  background-color: var(--wp--preset--color--theme-main);
  -webkit-tap-highlight-color: transparent;
  transition: all 0.5s ease-in-out;
}

@media only screen and (max-width: 782px) {
  .hamburger {
    display: block;
  }
}

.hamburger::before {
  position: absolute;
  bottom: -1.5em;
  left: 0;
  display: block;
  width: 100%;
  font-family: var(--wp--preset--font-family--open-sans);
  font-size: 10px;
  font-weight: 400;
  color: var(--wp--preset--color--theme-main);
  pointer-events: none;
  content: "MENU";
  /* transition: all 0.5s ease-in-out; */
}

/* stylelint-disable-next-line no-descending-specificity */
.hamburger span {
  position: absolute;
  left: 50%;
  display: block;
  width: 66.6%;
  height: 2px;
  background-color: #fff;
  transition: 0.3s ease-in-out;
  transform: translate(-50%, -50%);
}

.hamburger span:nth-of-type(1) {
  top: 25%;
}

.hamburger span:nth-of-type(2) {
  top: 50%;
}

.hamburger span:nth-of-type(3) {
  top: 75%;
}

.hamburger.active {
  opacity: 0;
}

.hamburger.scrolled {
  opacity: 0;
}

/* .hamburger.active {
  position: fixed;
  background-color: transparent;
}

.hamburger.active::before {
  content: "";
}

.hamburger.active span {
  background-color: var(--wp--preset--color--theme-main);
}

.hamburger.active span:nth-of-type(1) {
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%) rotate(-45deg);
}

.hamburger.active span:nth-of-type(2),
.hamburger.active span:nth-of-type(3) {
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%) rotate(45deg);
} */

/* ハンバーガーメニュー表示時のオーバーレイ */
.overlay {
  position: fixed;
  inset: 0;
  z-index: var(--z-index-overlay);
  display: none;
  width: 100%;
  height: 100vh;
  content: "";
  background-color: rgb(0 0 0 / 40%);
  opacity: 1;
  animation: fade-overlay 0.5s;
}

@media only screen and (max-width: 782px) {
  .overlay.active {
    display: block;
  }
}

/* オーバーレイのフェードアニメーション */
@keyframes fade-overlay {
  from {
    opacity: 0;
  }

  to {
    opacity: 1;
  }
}

/* Footer 'footer, f'
============================================================= */
.footer {
  width: 100%;
  padding: 60px 0 0;
  color: #fff;
  background-color: var(--wp--preset--color--theme-main);
}

.footer__inner {
  max-width: var(--width-xl);
  margin: 0 auto;
}

@media only screen and (max-width: 992px) {
  .footer__inner {
    padding: 0 20px;
  }
}

@media only screen and (max-width: 782px) {
  .footer__inner {
    padding: 0 10px;
  }
}

@media only screen and (max-width: 782px) {
  .footer {
    padding: 60px 0 80px;
  }
}

/* フッターナビ */
.f-nav {
  margin: 0 auto;
  font-family: var(--wp--preset--font-family--noto-sans-jp);
  font-size: 14px;
}

.f-nav__ul {
  display: flex;
  flex-wrap: wrap;
  gap: 1em 2em;
  justify-content: center;
  list-style: none;

  /* stylelint-disable-next-line no-descending-specificity */
  & a {
    font-weight: 500;
    color: inherit;
    text-decoration: none;
  }
}

@media only screen and (max-width: 480px) {
  .f-nav__ul {
    flex-direction: column;
    align-items: center;
  }
}

.f-copy {
  font-size: 12px;
  text-align: center;
}

/* レイアウト
============================================================= */

.layout-full-width {
  width: 100%;
}

/* 1カラム */
.layout-singlecol {
  width: 100%;
  max-width: var(--width-lg);
  margin: 0 auto;
  background-color: var(--wp--preset--color--theme-main);
}

@media only screen and (max-width: 992px) {
  .layout-singlecol {
    padding: 0 20px;
  }
}

@media only screen and (max-width: 480px) {
  .layout-singlecol {
    padding: 0 10px;
  }
}

/* 2カラム */
.layout-twocol {
  display: flex;
  gap: 0 20px;
  align-items: stretch;
  width: 100%;
  max-width: var(--width-lg);
  margin: 0 auto;
}

.layout-twocol--reverse {
  flex-direction: row-reverse;
}

.layout-twocol__main {
  flex: 2;
  height: 100%;
  overflow: hidden;
}

.layout-twocol__side {
  flex: 1;
  max-width: 280px;
  height: 100%;
}

@media only screen and (max-width: 992px) {
  .layout-twocol {
    padding: 0 20px;
  }
}

@media only screen and (max-width: 782px) {
  .layout-twocol {
    flex-direction: column;
    padding: 0 20px;
  }

  .layout-twocol__main {
    flex: 1;
    max-width: initial;
  }

  .layout-twocol__side {
    flex: 1;
    max-width: initial;
  }
}

@media only screen and (max-width: 480px) {
  .layout-twocol {
    padding: 0 10px;
  }
}

/* Content
============================================================= */
.content {
  width: 100%;
  min-height: 200px;
  padding: 20px;
  margin: 20px 0 0;
  background-color: #fff;
}

@media only screen and (max-width: 480px) {
  .content {
    padding: 20px 10px;
  }
}

/* Sidebar
============================================================= */

.sidebar {
  padding: 20px;
  margin: 20px 0 0;
  font-size: 14px;
  background-color: #fff;

  & ul {
    padding: 0;
    margin: 0;
    list-style: none;
  }

  /* stylelint-disable-next-line no-descending-specificity */
  & li {
    margin: 0.5em 0;
  }

  /* stylelint-disable-next-line no-descending-specificity */
  & a {
    color: var(--wp--preset--color--theme-accent);
  }

  @media only screen and (max-width: 480px) {
    .sidebar {
      padding: 20px 10px;
    }
  }

  /* サイドバー見出し */
  /* &:where(h1, h2, h3, h4, h5, h6) {
    padding-bottom: 0.25em;
    margin-bottom: 1em;
    font-weight: 400;
    border-bottom: 1px dashed #ccc;
  } */
}

/* 項 'sect, section'
============================================================= */

/* 基本 */
.sect {
  width: 100%;
  margin: 0;
}

/* 見出し 'heading'
============================================================= */
/* :where(h1, h2, h3, h4, h5, h6) {
  color: var(--wp--preset--color--theme-main);
} */

.heading-content {
  padding-left: 1.5em;
  margin: 0 0 10px;
  font-family: var(--theme-gothic);
  font-size: 20px;
  font-weight: 700;
  line-height: 1em;
  color: var(--wp--preset--color--theme-main);
  background-image: url("../images/icon-butterfly.webp");
  background-repeat: no-repeat;
  background-position: left center;
  background-size: 1.25em auto;
  border-bottom: 2px solid #633d0e;
  border-image: linear-gradient(to right, #fff, #633d0e) 1;
}

.heading-page {
  font-size: 32px;
  font-weight: 400;
  line-height: 1.5em;
}

.heading-page--center {
  text-align: center;
}

.heading-page__sub {
  display: inline-block;
  margin-left: 0.75em;
  font-size: 0.5em;
  color: var(--wp--preset--color--theme-sub-1);
  vertical-align: 0.4em;
}

@media only screen and (max-width: 782px) {
  .heading-page {
    font-size: 24px;
  }
}

/* 見出し下線 */
.heading-underline {
  font-size: 32px;
  font-weight: 400;
  line-height: 1.5em;

  /* stylelint-disable-next-line no-descending-specificity */
  & span {
    display: inline-block;
    padding-bottom: 0.5em;
    border-bottom: 1px solid #666;
  }
}

.heading-underline--center {
  text-align: center;
}

@media only screen and (max-width: 782px) {
  .heading-underline {
    font-size: 24px;
  }
}

/* 投稿 'post'
============================================================= */

.post-cards {
  /* サイドバーと高さを揃える */
  padding-top: 48px;
}

/* アイキャッチ */

.featured-image {
  & img {
    max-width: 100%;
    height: auto;
  }
}

/* 投稿カテゴリー */

.post-terms {
  display: flex;
  flex-wrap: wrap;
  gap: 1em;
  padding: 0 !important;
  margin: 0;
  font-family: var(--theme-gothic);
  /* font-size: 12px; */
  list-style: none;
}

.entry-categories {
  font-weight: 400;
  line-height: 1em;
  list-style: none;

  /* stylelint-disable-next-line no-descending-specificity */
  & a {
    display: inline-block;
    padding: 0.3em 0.75em;
    color: #fff;
    text-decoration: none;
    white-space: nowrap;
    border: 1px solid;
    border-radius: 1em;
    transition: all ease 0.5s;
  }
}

.entry-tags {
  margin: 0;
  font-weight: 400;
  line-height: 1em;
  list-style: none;

  /* stylelint-disable-next-line no-descending-specificity */
  & a {
    display: inline-block;
    padding: 0.3em 0;
    border: transparent;

    &::before {
      display: inline;
      content: "#";
    }
  }
}

/* 投稿日 */
.post-date {
  margin: 0;
  font-family: var(--wp--preset--font-family--open-sans);

  & time {
    display: inline;
    margin-left: 0.25em;
    line-height: 1em;
  }
}

/* 投稿タイトル */
.post-title {
  font-size: 20px;
  font-weight: 400;

  & a {
    font-weight: inherit;
    text-decoration: none;
  }
}

/* 投稿 抜粋 */

.post-card {
  display: flex;
  gap: 10px 40px;
  padding: 30px 0;
  font-size: 16px;
  border-top: 1px solid #666;
}

@media only screen and (max-width: 782px) {
  .post-card {
    flex-direction: column;
  }
}

.post-card__item {
  flex: 1;
}

.post-card__item--figure {
  flex: 1;
}

.post-card__item--excerpt {
  flex: 2;
}

.post-thumbnail {
  width: 100%;
  max-width: 320px;
  aspect-ratio: 4 / 3;
  padding: 0;
  margin: 0;
  border: 1px solid var(--wp--preset--color--theme-border);

  & img {
    display: block;
    width: 100%;
    height: 100%;
    object-fit: cover;
  }
}

.post-excerpt {
  line-height: 1.8em;

  & a {
    font-weight: inherit;
    text-decoration: none;
  }
}

/* 前後ページナビ */
.post-nav {
  display: flex;
  gap: 0 2em;
  justify-content: space-between;
  margin: 100px 0 0;
  font-weight: 400;

  /* stylelint-disable-next-line no-descending-specificity */
  & a {
    text-decoration: underline;
  }
}

.post-nav__item {
  text-decoration: none;
  white-space: nowrap;
}

.post-nav__empty {
  width: 50px;
}

/* ウィジェット
============================================================= */

/* コンテンツ上部、下部エリア */
.content-top-entry,
.contents-bottom-entry {
  width: 100%;
  max-width: var(--width-lg);
  margin: 0 auto;
}

@media only screen and (max-width: 992px) {
  .content-top-entry,
  .contents-bottom-entry {
    padding: 0 20px;
  }
}

@media only screen and (max-width: 480px) {
  .content-top-entry,
  .contents-bottom-entry {
    padding: 0 10px;
  }
}

/* ショートコード 
============================================================= */
/* [custom_news] */

.list-custom-news {
  padding: 0 !important;
  list-style: none;

  /* stylelint-disable-next-line no-descending-specificity */
  & li {
    margin: 0.2em 0 0 !important;
  }
}

.custom-news {
  display: flex;
  flex-direction: column;
  gap: 5px 0;
  padding: 5px 0 8px;
  font-size: 14px;
  border-bottom: 1px dotted var(--wp--preset--color--theme-border);
}

.custom-news__item {
  /* stylelint-disable-next-line no-descending-specificity */
  a {
    color: inherit !important;
    text-decoration: none !important;
  }
}

.custom-news__item--date {
  font-size: 12px;
  white-space: nowrap;
}

.custom-news__item--term {
  font-size: 10px;
  /* stylelint-disable-next-line no-descending-specificity */
}

@media only screen and (max-width: 575.98px) {
  .custom-news {
    flex-wrap: wrap;
  }

  .custom-news__item--title {
    display: block;
    width: 100%;
  }
}
